curl
curl -X GET "https://api.services.payward.com/v1/funds/transactions" \
-H "API-Key: $PWS_API_KEY" \
-H "API-Nonce: $PWS_API_NONCE" \
-H "API-Sign: $PWS_API_SIGN"import requests
url = "https://api.services.payward.com/v1/funds/transactions"
headers = {
"API-Key": "<api-key>",
"API-Nonce": "<api-key>",
"API-Sign": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'API-Key': '<api-key>', 'API-Nonce': '<api-key>', 'API-Sign': '<api-key>'}
};
fetch('https://api.services.payward.com/v1/funds/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"type": "deposit",
"timestamp": "2026-04-15T09:12:48.000Z",
"asset": {
"symbol": "BTC",
"type": "crypto"
},
"amount": "0.50000000",
"status": "settled",
"ref_id": "fxn_01J0M7C0Z9F8YX3GQH8E"
},
{
"type": "withdrawal",
"timestamp": "2026-04-14T17:35:02.000Z",
"asset": {
"symbol": "USDC",
"type": "stablecoin"
},
"amount": "1500.00",
"status": "pending",
"ref_id": "fxn_01J0M7C0Z9F8YX3GQH8F"
},
{
"type": "deposit",
"timestamp": "2026-04-12T22:01:11.000Z",
"asset": {
"symbol": "USD",
"type": "fiat"
},
"amount": "5000.00",
"status": "success",
"ref_id": "fxn_01J0M7C0Z9F8YX3GQH8G"
}
],
"next_page_token": "cursor_eyJrIjoxfQ"
}{
"error": {
"type": "<string>",
"status": 400,
"instance": "<string>",
"code": "bad_request",
"doc_url": "<string>",
"causes": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "<string>",
"status": 401,
"instance": "<string>",
"code": "unauthenticated",
"doc_url": "<string>",
"causes": [
{}
]
}
}{
"error": {
"type": "<string>",
"status": 403,
"instance": "<string>",
"code": "forbidden",
"doc_url": "<string>",
"causes": [
{}
]
}
}{
"error": {
"type": "request_error",
"status": 404,
"instance": "<string>",
"code": "not_found",
"doc_url": "<string>"
}
}{
"error": {
"type": "<string>",
"status": 504,
"instance": "<string>",
"code": "deadline_exceeded",
"doc_url": "<string>",
"causes": [
{}
]
}
}{
"error": {
"type": "state_error",
"status": 409,
"instance": "<string>",
"code": "conflict",
"doc_url": "<string>"
}
}{
"error": {
"type": "<string>",
"status": 429,
"instance": "<string>",
"code": "resource_exhausted",
"doc_url": "<string>",
"causes": [
{}
]
}
}{
"error": {
"type": "<string>",
"status": 500,
"instance": "<string>",
"code": "internal",
"doc_url": "<string>",
"causes": [
{}
]
}
}{
"error": {
"type": "<string>",
"status": 503,
"instance": "<string>",
"code": "unavailable",
"doc_url": "<string>",
"causes": [
{}
]
}
}Funds
List Funding Transactions
List Funding transactions
Funding transactions can be of type withdrawal or deposit.
Currently, this is a Master-User-only operation, so no user_id parameter
is taken.
GET
/
v1
/
funds
/
transactions
curl
curl -X GET "https://api.services.payward.com/v1/funds/transactions" \
-H "API-Key: $PWS_API_KEY" \
-H "API-Nonce: $PWS_API_NONCE" \
-H "API-Sign: $PWS_API_SIGN"import requests
url = "https://api.services.payward.com/v1/funds/transactions"
headers = {
"API-Key": "<api-key>",
"API-Nonce": "<api-key>",
"API-Sign": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'API-Key': '<api-key>', 'API-Nonce': '<api-key>', 'API-Sign': '<api-key>'}
};
fetch('https://api.services.payward.com/v1/funds/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"type": "deposit",
"timestamp": "2026-04-15T09:12:48.000Z",
"asset": {
"symbol": "BTC",
"type": "crypto"
},
"amount": "0.50000000",
"status": "settled",
"ref_id": "fxn_01J0M7C0Z9F8YX3GQH8E"
},
{
"type": "withdrawal",
"timestamp": "2026-04-14T17:35:02.000Z",
"asset": {
"symbol": "USDC",
"type": "stablecoin"
},
"amount": "1500.00",
"status": "pending",
"ref_id": "fxn_01J0M7C0Z9F8YX3GQH8F"
},
{
"type": "deposit",
"timestamp": "2026-04-12T22:01:11.000Z",
"asset": {
"symbol": "USD",
"type": "fiat"
},
"amount": "5000.00",
"status": "success",
"ref_id": "fxn_01J0M7C0Z9F8YX3GQH8G"
}
],
"next_page_token": "cursor_eyJrIjoxfQ"
}{
"error": {
"type": "<string>",
"status": 400,
"instance": "<string>",
"code": "bad_request",
"doc_url": "<string>",
"causes": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "<string>",
"status": 401,
"instance": "<string>",
"code": "unauthenticated",
"doc_url": "<string>",
"causes": [
{}
]
}
}{
"error": {
"type": "<string>",
"status": 403,
"instance": "<string>",
"code": "forbidden",
"doc_url": "<string>",
"causes": [
{}
]
}
}{
"error": {
"type": "request_error",
"status": 404,
"instance": "<string>",
"code": "not_found",
"doc_url": "<string>"
}
}{
"error": {
"type": "<string>",
"status": 504,
"instance": "<string>",
"code": "deadline_exceeded",
"doc_url": "<string>",
"causes": [
{}
]
}
}{
"error": {
"type": "state_error",
"status": 409,
"instance": "<string>",
"code": "conflict",
"doc_url": "<string>"
}
}{
"error": {
"type": "<string>",
"status": 429,
"instance": "<string>",
"code": "resource_exhausted",
"doc_url": "<string>",
"causes": [
{}
]
}
}{
"error": {
"type": "<string>",
"status": 500,
"instance": "<string>",
"code": "internal",
"doc_url": "<string>",
"causes": [
{}
]
}
}{
"error": {
"type": "<string>",
"status": 503,
"instance": "<string>",
"code": "unavailable",
"doc_url": "<string>",
"causes": [
{}
]
}
}Authorizations
Your public API key. Identifies the partner making the request.
Monotonically increasing nonce included in the request signature.
HMAC signature over the request, computed with your private key.
Query Parameters
Request funding transactions of the specified type
Available options:
withdrawal, deposit Pagination cursor for fetching the next set of results
Number of transactions to return per page. Default is 25 if not specified.
Required range:
1 <= x <= 500⌘I